<div class="box" dir="rtl">
  <div class="title">
    <div>
      <p>
        تکمیل اطلاعات مربوط به کاربر عادی
      </p>
      <p>
        <a (click)="goMainRegister()">
          <span>بازگشت</span>
          <fa-icon [icon]="faAngleLeft"></fa-icon>
        </a>
      </p>
    </div>
  </div>

  <div class="form">
    <form [formGroup]="userDetailForm" (ngSubmit)="sendUserDetailDetail()">
      <!-- select -->
      <div class="select">
        <!-- field -->
        <div class="field">
          <input
            type="text"
            formControlName="field"
            name="fields"
            class="select-input"
            placeholder="انتخاب رشته"
            autocomplete="off"
            (ngModelChange)="filterFields()"
          />
          <ul class="dropdown" id="fields">
            <li
              *ngFor="let field of filteredFields"
              (click)="setFieldValue(field)"
            >
              {{ field.name }}
            </li>
          </ul>
        </div>

        <!-- province -->
        <div class="province">
          <input
            type="text"
            formControlName="province"
            name="provinces"
            class="select-input"
            placeholder="انتخاب استان محل تحصیل"
            autocomplete="off"
            (ngModelChange)="filterProvinces()"
          />
          <ul class="dropdown" id="provinces">
            <li
              *ngFor="let province of filteredProvinces"
              (click)="setProvinceValue(province)"
            >
              {{ province.name }}
            </li>
          </ul>
        </div>

        <!-- city -->
        <div class="city">
          <input
            type="text"
            formControlName="city"
            name="cities"
            class="select-input"
            placeholder="انتخاب شهر محل تحصیل"
            autocomplete="off"
            (ngModelChange)="filterCities()"
          />
          <ul class="dropdown" id="cities">
            <li
              *ngFor="let city of filteredCities"
              (click)="setCityValue(city)"
            >
              {{ city.name }}
            </li>
          </ul>
        </div>

        <!-- university -->
        <div class="university">
          <input
            type="text"
            formControlName="university"
            name="universityList"
            class="select-input"
            placeholder="انتخاب دانشگاه"
            autocomplete="off"
            (ngModelChange)="filterUniversity()"
          />
          <ul class="dropdown" id="universityList">
            <li
              *ngFor="let university of filteredUniversities"
              (click)="setUniversityValue(university)"
            >
              {{ university.name }}
            </li>
          </ul>
        </div>

        <!-- degree -->
        <div class="degree">
          <input
            type="text"
            formControlName="degree"
            name="degreeList"
            class="select-input"
            placeholder="انتخاب مدرک"
            autocomplete="off"
            (ngModelChange)="filterDegree()"
          />
          <ul class="dropdown" id="degreeList">
            <li
              *ngFor="let degree of filteredDegrees"
              (click)="setDegreeValue(degree)"
            >
              {{ degree.title }}
            </li>
          </ul>
        </div>
      </div>

      <!-- about div -->
      <div class="about-me">
        <input
          type="text"
          name="aboutMe"
          id="aboutMe"
          formControlName="aboutMe"
          dir="rtl"
          placeholder="توضیحاتی درباره خود بنویسید"
          required
          autocomplete="off"
        />
      </div>

      <div class="images">
        <div class="images-box">
          <div class="cover-img">
            <div class="img-title">
              <p>کاور :</p>
            </div>
            <div
              class="img"
              onclick="document.getElementById('coverImage').click();"
              title="انتخاب عکس"
            >
              <img
                [src]="coverPreviewUrl"
                *ngIf="coverPreviewUrl"
                height="300"
              />
            </div>
            <input
              type="file"
              name="coverImage"
              id="coverImage"
              (change)="coverFileProgress($event)"
              style="display: none;"
              accept="image/*"
            />
          </div>
          <div class="profile-img">
            <div class="img-title">
              <p>پروفایل :</p>
            </div>
            <div
              class="img"
              onclick="document.getElementById('profileImage').click();"
              title="انتخاب عکس"
            >
              <img
                [src]="profilePreviewUrl"
                *ngIf="profilePreviewUrl"
                height="300"
              />
            </div>
            <input
              type="file"
              name="profileImage"
              id="profileImage"
              (change)="profileFileProgress($event)"
              style="display: none;"
              accept="image/*"
            />
          </div>
        </div>

        <p
          class="image-error"
          *ngIf="coverImagePicked && !coverImageSizeIsValid"
        >
          - حجم عکس کاور باید از 5 مگابایت کمتر باشد.
        </p>
        <p
          class="image-error"
          *ngIf="profileImagePicked && !profileImageSizeIsValid"
        >
          - حجم عکس پروفایل باید از 5 مگابایت کمتر باشد.
        </p>
      </div>
      <!-- errors -->
      <div
        class="errors"
        *ngIf="userDetailForm.invalid && userDetailForm.touched"
      >
        <div
          *ngIf="
            userDetailFormControls.field.invalid &&
            userDetailFormControls.field.touched
          "
        >
          - رشته خود را انتخاب کنید.
        </div>
        <div
          *ngIf="
            userDetailFormControls.province.touched &&
            userDetailFormControls.province.invalid
          "
        >
          - استان محل تحصیل خود را انتخاب کنید.
        </div>
        <div
          *ngIf="
            userDetailFormControls.city.touched &&
            userDetailFormControls.city.invalid
          "
        >
          - شهر محل تحصیل خود را انتخاب کنید.
        </div>
        <div
          *ngIf="
            userDetailFormControls.university.touched &&
            userDetailFormControls.university.invalid
          "
        >
          - دانشگاه خود را انتخاب کنید.
        </div>
        <div
          *ngIf="
            userDetailFormControls.degree.touched &&
            userDetailFormControls.degree.invalid
          "
        >
          - مدرک تحصیلی خود را انتخاب کنید.
        </div>

        <div
          *ngIf="
            userDetailFormControls.aboutMe.touched &&
            userDetailFormControls.aboutMe.invalid
          "
        >
          - توضیحاتی درباره خود وارد کنید.
        </div>
      </div>

      <div class="errors" *ngIf="connectionError">
        <div>- خطا در ارتباط با سرور.</div>
      </div>

      <div class="login-btn">
        <button
          type="submit"
          [disabled]="
            !userDetailForm.valid || !profileImagePicked || !coverImagePicked
          "
        >
          <span>ارسال اطلاعات</span>
          <fa-icon [icon]="faLongArrowAltLeft"></fa-icon>
        </button>
      </div>
    </form>
  </div>
</div>
